Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.services
Class Authentication

    java.lang.Object
      weblogic.security.services.Authentication

    public final class Authentication

extends Object

Server side Authentication service.

Constructor Summary
`Authentication()`

Method Summary
`AppChallengeContext` | `assertChallengeIdentity(String tokenType, Object token, AppContext appContext)` Use the supplied client token to establish client identity
`static Subject` | `assertIdentity(String tokenType, Object token)` Use the supplied client token to establish client identity
`static Subject` | `assertIdentity(String tokenType, Object token, AppContext appContext)` Use the supplied client token to establish client identity
`static Subject` | `assertIdentity(String realmName, String tokenType, Object token)` Use the supplied client token to establish client identity
`static Subject` | `assertIdentity(String realmName, String tokenType, Object token, AppContext appContext)` Use the supplied client token to establish client identity
`void` | `continueChallengeIdentity(AppChallengeContext context, String tokenType, Object token, AppContext appContext)` Use the supplied context, client token to continue establishing client identity
`Object` | `getChallengeToken(String tokenType, AppContext appContext)` If the security provider's identity assertion mapped types includes the type requested and the provider's identity asserter implements the ChallengeIdentityAsserterV2 interface this method returns the identity challenge token associated with the specified token type name.
`static Subject` | `login(CallbackHandler callbackHandler)` Authenticate the user and return credentials using the default realm.
`static Subject` | `login(CallbackHandler callbackHandler, AppContext appContext)` Authenticate the user and return credentials using the default realm.
`static Subject` | `login(String realmName, CallbackHandler callbackHandler)` Authenticate the user and return credentials for a specific realm.
`static Subject` | `login(String realmName, CallbackHandler callbackHandler, AppContext appContext)` Authenticate the user and return credentials for a specific realm.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Authentication

    public Authentication()

Method Detail

### login

    public static Subject login(CallbackHandler callbackHandler)
                         throws LoginException

  Authenticate the user and return credentials using the default realm.

  Parameters:
    `callbackHandler` - JAAS CallbackHandler used for login
  Returns:
    JAAS Subject from login
  Throws:
    `LoginException` - when login fails

### login

    public static Subject login(CallbackHandler callbackHandler,
                                AppContext appContext)
                         throws LoginException

  Authenticate the user and return credentials using the default realm.

  Parameters:
    `callbackHandler` - JAAS CallbackHandler used for login
    `appContext` - a AppContext used for login
  Returns:
    JAAS Subject from login
  Throws:
    `LoginException` - when login fails

### login

    public static Subject login(String realmName,
                                CallbackHandler callbackHandler)
                         throws LoginException

  Authenticate the user and return credentials for a specific realm.

  Parameters:
    `realmName` - Name of the security realm for login
    `callbackHandler` - JAAS CallbackHandler used for login
  Returns:
    JAAS Subject from login
  Throws:
    `LoginException` - when login fails
    `InvalidParameterException` - when realm does not exist

### login

    public static Subject login(String realmName,
                                CallbackHandler callbackHandler,
                                AppContext appContext)
                         throws LoginException

  Authenticate the user and return credentials for a specific realm.

  Parameters:
    `realmName` - Name of the security realm for login
    `callbackHandler` - JAAS CallbackHandler used for login
    `appContext` - a AppContext used for login
  Returns:
    JAAS Subject from login
  Throws:
    `LoginException` - when login fails
    `InvalidParameterException` - when realm does not exist

### assertIdentity

    public static Subject assertIdentity(String tokenType,
                                         Object token)
                                  throws LoginException

  Use the supplied client token to establish client identity

  Parameters:
    `tokenType` - Name of the token type
    `token` - The token passed as a Java Object
  Returns:
    JAAS Subject containing authentication provider generated Principals
  Throws:
    `SecurityException` - when permission is denied or service unavailable
    `InvalidParameterException` - when realm does not exist
    `LoginException`

### assertIdentity

    public static Subject assertIdentity(String tokenType,
                                         Object token,
                                         AppContext appContext)
                                  throws LoginException

  Use the supplied client token to establish client identity

  Parameters:
    `tokenType` - Name of the token type
    `token` - The token passed as a Java Object
    `appContext` - a AppContext used for login
  Returns:
    JAAS Subject containing authentication provider generated Principals
  Throws:
    `SecurityException` - when permission is denied or service unavailable
    `InvalidParameterException` - when realm does not exist
    `LoginException`

### assertIdentity

    public static Subject assertIdentity(String realmName,
                                         String tokenType,
                                         Object token)
                                  throws LoginException

  Use the supplied client token to establish client identity

  Parameters:
    `realmName` - Name of the security realm for login
    `tokenType` - Name of the token type
    `token` - The token passed as a Java Object
  Returns:
    JAAS Subject containing authentication provider generated Principals
  Throws:
    `SecurityException` - when permission is denied or service unavailable
    `InvalidParameterException` - when realm does not exist
    `LoginException`

### assertIdentity

    public static Subject assertIdentity(String realmName,
                                         String tokenType,
                                         Object token,
                                         AppContext appContext)
                                  throws LoginException

  Use the supplied client token to establish client identity

  Parameters:
    `realmName` - Name of the security realm for login
    `tokenType` - Name of the token type
    `token` - The token passed as a Java Object
    `appContext` - a AppContext used for login
  Returns:
    JAAS Subject containing authentication provider generated Principals
  Throws:
    `SecurityException` - when permission is denied or service unavailable
    `InvalidParameterException` - when realm does not exist
    `LoginException`

### getChallengeToken

    public Object getChallengeToken(String tokenType,
                                    AppContext appContext)
                             throws LoginException

  If the security provider's identity assertion mapped types includes the type requested and the provider's identity asserter implements the ChallengeIdentityAsserterV2 interface this method returns the identity challenge token associated with the specified token type name.

  Parameters:
    `type` - the requested identity token type name
  Returns:
    the token associated with the type name
  Throws:
    `IdentityAssertionException` - for invalid token types as well as for configuration errors
    `LoginException`

### continueChallengeIdentity

    public void continueChallengeIdentity(AppChallengeContext context,
                                          String tokenType,
                                          Object token,
                                          AppContext appContext)
                                   throws LoginException

  Use the supplied context, client token to continue establishing client identity

  Parameters:
    `context` - AppChallengeContext originally returned from assertChallengIdentity. The context will be updated to contain either an authenticated subject or an additional challenge.
    `tokenType` - Name of the token type
    `token` - The token passed as a Java Object
    `handler` - a `appContext` object that can optionally be used by the Identity assertion provider to obtain additional information that may be used in asserting the challenge identity.
  Throws:
    `LoginException`

### assertChallengeIdentity

    public AppChallengeContext assertChallengeIdentity(String tokenType,
                                                       Object token,
                                                       AppContext appContext)
                                                throws LoginException

  Use the supplied client token to establish client identity

  Parameters:
    `tokenType` - Name of the token type
    `token` - The token passed as a Java Object
    `handler` - a `appContext` object that can optionally be used by the Identity assertion provider to obtain additional information that may be used in asserting the challenge identity.
  Returns:
    The context of the App Challenge identity assertion. This result may contain either the authenticated subject or an additional challenge to which the client must respond.
  Throws:
    `LoginException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD